Bug 1830780

Summary: virt-v2v-wrapper - 0% VM migration progress in UI
Product: Container Native Virtualization (CNV) Reporter: Brett Thurber <bthurber>
Component: V2VAssignee: Tomáš Golembiovský <tgolembi>
Status: CLOSED ERRATA QA Contact: Ilanit Stein <istein>
Severity: high Docs Contact:
Priority: high    
Version: 2.4.0CC: cnv-qe-bugs, dagur, istein, ncredi, pkliczew, tgolembi, tjelinek
Target Milestone: ---Flags: istein: needinfo+
istein: needinfo+
Target Release: 2.4.0   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: kubevirt-v2v-conversion-container-v2.4.0-17 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-07-28 19:10:05 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1724978    
Attachments:
Description Flags
kubvirt-v2v-conversion.log
none
failing-kubevirt-v2v-conversion-rhel7-vm.log
none
failing-kubevirt-v2v-conversion-win2016-vm.log
none
Conversion-v2v-pod-current-annotation
none
migration_progress_annotation
none
working_progress_bar none

Description Brett Thurber 2020-05-03 20:27:33 UTC
Description of problem:
When migrating a VM from VMware to OCPv, the UI progress is stuck at 0% although the VM migration is progressing.

Version-Release number of selected component (if applicable):
2.3

How reproducible:
Every time a migration is initiated

Steps to Reproduce:
1. Choose VM Import
2. Select a VM to migrate from VMware
3. Initiate VM migration

Actual results:
0% progress indicator for VM migration in UI

Expected results:
Proper VM migration % displayed in UI

Additional info:

Comment 4 Ilanit Stein 2020-06-09 12:50:06 UTC
Tomas, Brett, 
Is this bug planned to get fixed soon?

If no,
We can still stay with same CNV-2.3 doc for CNV-2.4 too:
Bug 1829828 - [v2v][Doc] VM migration progress percent is not progressing,

And this ON_QA bug cannot be verified on CNV-2.4:
Bug 1724978 - [RFE][v2v] Improve the way we display progress percent in UI

Comment 5 Ilanit Stein 2020-06-09 12:54:58 UTC
After waiting a couple of minutes, I do see the progress bar, showing progress.
I'll verify then Bug 1724978 - [RFE][v2v] Improve the way we display progress percent in UI,
and update doc to remove the note progress bar is not working.

Comment 6 Ilanit Stein 2020-06-09 12:58:41 UTC
Tomas,

On CNV-2.4 UI, 
I do not see under VM Details, the Annotation key that used to show progress in percents, back in CNV-2.3.
Is this expected please?

Comment 8 Tomáš Golembiovský 2020-06-11 09:09:55 UTC
Hi, the CNV build still uses the old (and broken) wrapper which does not report the progress properly so it will still report 0%. But it should store the value in the annotation. If that is not hapenening then there is some other issue somewhere. Could you please share the pod log?

Comment 9 Tomas Jelinek 2020-06-11 09:26:26 UTC
> I do not see under VM Details, the Annotation key that used to show progress in percents, back in CNV-2.3.

that is actually expected. It is an annotation on the pod, not on the vm, so the VM details should not show it. You should see it on the pod details screen though. OTOH, given that you have a progress bar, you should not need to go to the pod details to look at the progress.

Comment 12 Ilanit Stein 2020-06-16 13:27:31 UTC
I guess we are good with seeing the progress bar reporting progress.
We do not have a CNV environment due to build issues. When I'll have an env, I'll check pod annotation and report.

Comment 13 Ilanit Stein 2020-06-25 18:10:28 UTC
Testing CNV-2.4 from June 24 2020, 
Indeed I see the progress annotation field under the conversion Pod's details page.

Regarding the progress bar.

For a VM import, that took over all 24 minutes, I tracked the progress bar in the UI, for the first 15 minutes, and it stayed at value 0 (v2v conversion progress annotation was 0% too).  
After import has ended the annotation stay in value 0%.

Tomas,
Could it be that we have a regression on this?

$ oc -n openshift-cnv edit cm v2v-vmware
...
  kubevirt-vmware-image: registry-proxy.engineering.redhat.com/rh-osbs/container-native-virtualization-kubevirt-vmware@sha256:f1567e9d37e6df21372777e87f92950ce389706d4664d234da9fa73b175e1b6a
  kubevirt-vmware-image-pull-policy: IfNotPresent
  v2v-conversion-image: registry-proxy.engineering.redhat.com/rh-osbs/container-native-virtualization-kubevirt-v2v-conversion@sha256:c865a6c723b7c12572c47cdf6ee949f8b3976d45b13d98ad19c7a3cf2d134552
  vddk-init-image: cnv-qe-server.rhevdev.lab.eng.rdu2.redhat.com:5000/vddk-images/vddk:v700
...

Comment 14 Tomáš Golembiovský 2020-06-26 08:13:39 UTC
Could you please share the conversion pod log?

Comment 15 Ilanit Stein 2020-06-28 09:15:16 UTC
Created attachment 1699018 [details]
kubvirt-v2v-conversion.log

Comment 16 Tomáš Golembiovský 2020-06-29 18:00:26 UTC
Ah, I see. For some reason the image still uses the old version of the package.

Comment 17 Brett Thurber 2020-06-30 03:38:11 UTC
(In reply to Tomáš Golembiovský from comment #16)
> Ah, I see. For some reason the image still uses the old version of the
> package.

Do we have an eta for a new conversion POD build with this fix?

Comment 18 Tomáš Golembiovský 2020-06-30 13:06:24 UTC
Build is ready: kubevirt-v2v-conversion-container-v2.4.0-17

Comment 19 Ilanit Stein 2020-07-06 16:22:51 UTC
Verified on CNV-2.4 latest from June 28 2020.
VM imported a Windows VM, and saw the percent was indeed raising along the Disk Copy progress.

Comment 20 Ilanit Stein 2020-07-12 18:50:13 UTC
In CNV-2.4 from July 12 2020 the VM import from VMware progress bar is not progressing further than 0%.

v2v conversion pod details ->Annotations no longer contain the progress annotation.

These Annotations are listed for this pod:
k8s.v1.cni.cncf.io/network-status
k8s.v1.cni.cncf.io/networks-status

Comment 22 Ilanit Stein 2020-07-13 05:01:57 UTC
Conversion POD version:

kubevirt-v2v-conversion versions: 
  virt-v2v-1.40.2-22.module+el8.2.0+6029+618ef2ec.x86_64
  libguestfs-1.40.2-22.module+el8.2.0+6029+618ef2ec.x86_64
  libvirt-client-6.0.0-17.2.module+el8.2.0+6629+3fc0f2c2.x86_64

Noting we have this VMware to CNV bug, that affect this:
Bug 1856105 - [v2v][VMware to CNV VM import] Any VM import from VMware fails on [NFC ERROR] NfcNewAuthdConnectionEx: Failed to connect to peer. 

It was verified on June 28 2020.

Comment 23 Ilanit Stein 2020-07-13 10:50:37 UTC
Created attachment 1700812 [details]
failing-kubevirt-v2v-conversion-rhel7-vm.log

Comment 24 Ilanit Stein 2020-07-13 10:51:40 UTC
Created attachment 1700813 [details]
failing-kubevirt-v2v-conversion-win2016-vm.log

Comment 25 Ilanit Stein 2020-07-13 15:06:12 UTC
Created attachment 1700856 [details]
Conversion-v2v-pod-current-annotation

Comment 26 Tomáš Golembiovský 2020-07-13 16:31:16 UTC
Proposed upstream fix: https://github.com/ManageIQ/manageiq-v2v-conversion_host/pull/79

Comment 27 Tomáš Golembiovský 2020-07-15 10:43:53 UTC
kubevirt-v2v-conversion-container-v2.4.0-22

Comment 28 Ilanit Stein 2020-07-17 07:39:48 UTC
Verified on on CNV-2.4 deployed on July 17:

A 3rd annotation was added that didn't exist on previous versions: "v2vConversionProgress"and it gets updated, as seen in the v2v logs: "Updating progress in POD annotation".
Attached: "migration_progress_annotation".

Progress bar indeed show progress. This is a RHEL-7 VM import using VM disk-NFS, conversion template disk - HPP.
Attached: "working_progress_bar".

The v2v tested version:
"v2v-conversion-image: registry-proxy.engineering.redhat.com/rh-osbs/container-native-virtualization-kubevirt-v2v-conversion@sha256:17b170ed0b831c2069027d44bdcbf14c07646d8b27e12e29d44079fb8a374817

Thanks for resolving the issue Tomas !

Comment 29 Ilanit Stein 2020-07-17 07:40:44 UTC
Created attachment 1701514 [details]
migration_progress_annotation

Comment 30 Ilanit Stein 2020-07-17 07:42:45 UTC
Created attachment 1701515 [details]
working_progress_bar

Comment 33 errata-xmlrpc 2020-07-28 19:10:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3194